%define upstream_name    Plack-Middleware-Negotiate
%define upstream_version 0.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Apply HTTP content negotiation as Plack middleware
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(HTTP::Negotiate)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(Log::Contextual)
BuildRequires: perl(Log::Contextual::WarnLogger)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Plack::Builder)
BuildRequires: perl(Plack::Middleware)
BuildRequires: perl(Plack::Request)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Plack::Util::Accessor)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Plack::Middleware::Negotiate applies HTTP content negotiation to a the PSGI
manpage request. The PSGI environment key 'negotiate.format' is set to the
chosen format name. In addition to normal content negotiation one may
enable explicit format selection with a path extension or query parameter.
The middleware takes care for rewriting and restoring PATH_INFO if it is
configured to detect and strip a format extension. The PSGI response is
enriched with corresponding HTTP headers Content-Type and Content-Language
unless these headers already exist.

If used as pure application, this middleware returns a HTTP status code 406
if no format could be negotiated.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.200.0-7.mga10
+ Revision: 2200202
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.200.0-6.mga9
+ Revision: 1805086
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.200.0-5.mga8
+ Revision: 1496587
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.200.0-4.mga7
+ Revision: 1270527
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.200.0-3.mga6
+ Revision: 1032160
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.200.0-2.mga6
+ Revision: 967239
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.200.0-1.mga6
+ Revision: 848544
- update to 0.20

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-3.mga5
+ Revision: 740127
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.100.0-1.mga5
+ Revision: 585165
- update to 0.10

* Mon Oct 21 2013 umeabot <umeabot> 0.80.0-2.mga4
+ Revision: 537417
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.80.0-1.mga4
+ Revision: 486989
- update to 0.08

* Fri Aug 02 2013 sander85 <sander85> 0.60.0-1.mga4
+ Revision: 462672
- update to 0.06

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 371859
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.50.0-1.mga3
+ Revision: 306214
- update to 0.05

* Wed Oct 10 2012 jquelin <jquelin> 0.40.0-1.mga3
+ Revision: 304320
- imported package perl-Plack-Middleware-Negotiate


* Wed Oct 10 2012 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
